import 'basico_model.dart';

class ProductoTopping extends Basico {
  int? idProducto;
  int? idTopping;
  int? idCategoria;

  ProductoTopping({
    super.id,
    this.idProducto,
    this.idTopping,
    this.idCategoria,
  });

  @override
  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'idProducto': idProducto,
      'idProductoTopping': idTopping,
      'idCategoriaTopping': idTopping,
    }..addAll(super.toJson());
  }

  ProductoTopping.fromJson(Map<String, dynamic> json) {
    super.parseJson(json);
    idProducto = Basico.parseInt(json['idProducto']);
    idTopping = Basico.parseInt(json['idProductoTopping']);
    idCategoria = Basico.parseInt(json['idCategoriaTopping']);
  }
}
